var assert = {
    hasSystem: function (system) {
        if (!system){
            throw new Error('system undefined');
        }

        return function (identifier) {
            if (!identifier) {
                throw new Error('identifier undefined');
            }

            return identifier.system === system;
        }
    }
};

module.exports = assert;